
// 删除无效文件
var DeleteinvalidFun = function(shareName, path) {
  var cwh = getClientWH();
  var DeleteinvalidWindow = new MUI.Modal({
    id: 'DeleteinvalidWindow',
    title: UNAS._('Delete invalid Setting') + " " + shareName,
    modal: true,
    width: parseInt(cwh.w * 0.9),
    height: 250, //+50
    addClass: 'delete-modal',
    contentURL: '/apps/afp/m/delete_invalidfolder.html?shareName=' + encodeURIComponent(shareName) + '&path=' + encodeURIComponent(path)
  });
  DeleteinvalidWindow.ProcessDeleteinvalidFolder = function() {
    errList();
  }
}
// 错误配置
function errList() {
  jQuery.ajax({
    url: "/apps/afp/includes/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "afp_invalid_alload",
      "token": UToken
    }),
    success: function(data) {
      if (data.err == 0) {
        // 错误配置
        if (data.results.records.length > 0) {
          jQuery('#errorSettingList').html("");
          var folder_list = "";
          for (var k = 0; k < data.results.records.length; k++) {
            var folderarr = data.results.records[k];
            folder_list += '<dl>' +
              '<samp class="folder_samp1"></samp>' +
              '<h3 class="ellipsis"><a>' + folderarr.shareName + '</a></h3>' +
              '<div>' +
              '<span>' + UNAS._('State:') + '</span>' +
              '<span>' + UNAS._('Invalid Setting') + '</span>' +
              '</div>' +
              '<p>' +
              '<a onclick="DeleteinvalidFun(' + "'" + folderarr.shareName + "','" + folderarr.path + "'" + ');">' + UNAS._('Delete') + '</a>' +
              '</p>' +
              '</dl>';
          }
          jQuery('#errorSettingList').html(folder_list);

          afpTranslator('errorSettingList');
        } else {
          jQuery('#errorSettingList').html(UNAS._('Great, No Mistakes Found.'));
        }
        //
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    }
  });
}

function CheckIfEnableApply() {
  var subm = true;
  jQuery('label[class="afp_warning"]').each(function() {
    if (jQuery(this).html() != '') {
      jQuery('#afp_setting_apply').attr('class', 'unas_button_disabled');
      subm = false;
    }
  });
  if (subm) {
    jQuery('#afp_setting_apply').attr('class', 'unas_button');
  }
}

function getAfpStatus() {
  jQuery('#afp_setting_waiting_content').attr("style", "display:block");
  jQuery('#afp_setting_waiting_logo').attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/afp/includes/service_afp.php",
    data: {
      action: "getafpinfo"
    },
    type: "POST",
    dataType: 'json',
    async: true,
    timeout: 60000,
    success: function(data) {
      if (data.status == 'yes') {
        jQuery('#afp_setting_afp_enable').prop('checked', true);
        jQuery('#afp_setting_afp_enable').attr('oldvalue', 'yes');
        jQuery('#afp_setting_page input').attr('disabled', false);
        jQuery('#afp_setting_afp_enable').attr('disabled', false);
      } else {
        jQuery('#afp_setting_afp_enable').prop('checked', false);
        jQuery('#afp_setting_afp_enable').attr('oldvalue', 'no');
        jQuery('#afp_setting_page input').attr('disabled', true);
        jQuery('#afp_setting_afp_enable').attr('disabled', false);

      }
      jQuery("#afp_setting_port").val(data.afpport);
      jQuery("#afp_setting_port").attr('oldvalue', data.afpport);
      jQuery("#afp_setting_maxconnections").val(data.maxconnections);
      jQuery("#afp_setting_maxconnections").attr('oldvalue', data.maxconnections);
      jQuery("#afp_setting_disconnecttime").val(data.disconnecttime);
      jQuery("#afp_setting_disconnecttime").attr('oldvalue', data.disconnecttime);
      if (data.savepassword == 'yes') {
        jQuery('#afp_setting_savepassword_enable').prop('checked', 'true');
        jQuery('#afp_setting_savepassword_enable').attr('oldvalue', 'yes');
      } else {
        jQuery('#afp_setting_savepassword_enable').attr('oldvalue', 'no');
      }
      jQuery("#afp_setting_apply").attr("class", "unas_button_disabled");
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    },
    complete: function() {
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    }
  });
}

function afpApply() {
  if (jQuery("#afp_setting_apply").attr("class") == "unas_button_disabled") {
    return false;
  }
  jQuery('#afp_setting_waiting_content').attr("style", "display:block");
  jQuery('#afp_setting_waiting_logo').attr("style", "display:block");
  var isenableafp = 'no';
  if (jQuery('#afp_setting_afp_enable').prop('checked')) {
    isenableafp = 'yes';
  }
  var afpport = jQuery("#afp_setting_port").val();
  var maxconnections = jQuery("#afp_setting_maxconnections").val();
  var disconnecttime = jQuery("#afp_setting_disconnecttime").val();
  var isenablesavepassword = 'no';
  if (jQuery('#afp_setting_savepassword_enable').prop('checked')) {
    isenablesavepassword = 'yes';
  }
  jQuery.ajax({
    url: "/apps/afp/includes/service_afp.php",
    data: {
      "isenableafp": isenableafp,
      "afpport": afpport,
      "maxconnections": maxconnections,
      "disconnecttime": disconnecttime,
      "isenablesavepassword": isenablesavepassword,
      action: "setafp"
    },
    type: "POST",
    async: true,
    timeout: 60000,
    success: function(data) {
      getAfpStatus();
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      getAfpStatus();
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    },
    complete: function() {
      getAfpStatus();
      jQuery('#afp_setting_waiting_content').attr("style", "display:none");
      jQuery('#afp_setting_waiting_logo').attr("style", "display:none");
    }
  });
}



(function() {
  getAfpStatus();
  errList();
  jQuery('div[infotableid]').click(function() {
    var id = jQuery(this).attr('infotableid');
    if (id == "afp_err_handling") {
      jQuery("#afp_setting_apply").hide();
    } else {
      jQuery("#afp_setting_apply").show();
    }
    jQuery('#afp_general_setting_tab').attr('class', 'unas_tab');
    jQuery('#afp_err_handling_tab').attr('class', 'unas_tab');
    jQuery(this).attr('class', 'unas_tab_sel');

    jQuery('#afp_general_setting').attr('style', 'display:none;');
    jQuery('#afp_err_handling').attr('style', 'display:none;');
    jQuery('#' + id).attr('style', 'display:block;');
  });
  jQuery('#afp_setting_afp_enable').click(function() {
    if (jQuery('#afp_setting_afp_enable').prop('checked') == false) {
      jQuery('#afp_setting_page input').attr('disabled', true);
      jQuery('#afp_setting_afp_enable').attr('disabled', false);
    } else {
      jQuery('#afp_setting_page input').attr('disabled', false);
      jQuery('#afp_setting_afp_enable').attr('disabled', false);
    }
    if ((!jQuery('#afp_setting_afp_enable').prop('checked') && jQuery('#afp_setting_afp_enable').attr('oldvalue') == "yes")) {
      jQuery("#afp_setting_apply").attr("class", "unas_button");
    }
    if ((jQuery('#afp_setting_afp_enable').prop('checked') && jQuery('#afp_setting_afp_enable').attr('oldvalue') == "no")) {
      CheckIfEnableApply();
    }
  });
  jQuery('#afp_setting_savepassword_enable').click(function() {
    CheckIfEnableApply();
  });
  jQuery("#afp_setting_port").keyup(function() {
    var newport = jQuery("#afp_setting_port").val();
    if (newport == '') {
      jQuery('#afp_setting_port_warning').html(UNAS._('*Port can not be empty!'));
      CheckIfEnableApply();
    } else if (parseInt(newport) > 65535 || parseInt(newport) < 1) {
      jQuery('#afp_setting_port_warning').html(UNAS._('*Port must between 1~65535!'));
      CheckIfEnableApply();
    } else {
      jQuery('#afp_setting_port_warning').html("");
      if (jQuery("#afp_setting_port").val() != jQuery("#afp_setting_port").attr('oldvalue')) {
        jQuery.ajax({
          url: "/apps/afp/includes/service_afp.php",
          data: {
            action: "checkport",
            "port": jQuery("#afp_setting_port").val()
          },
          type: "POST",
          async: true,
          timeout: 60000,
          success: function(data) {
            if (data == 'used') {
              jQuery('#afp_setting_port_warning').html(UNAS._('*Port has been used!'));
            } else {
              jQuery('#afp_setting_port_warning').html("");
            }
            CheckIfEnableApply();
          },
          error: function(XMLHttpRequest, textStatus, errorThrown) {
            CheckIfEnableApply();
          },
          complete: function() {
            CheckIfEnableApply();
          }
        });
      } else {
        CheckIfEnableApply();
      }
    }
  });
  jQuery("#afp_setting_maxconnections").keyup(function() {
    CheckIfEnableApply();
  });
  jQuery("#afp_setting_disconnecttime").keyup(function() {
    CheckIfEnableApply();
  });

})();
